// L138_psp_utils.h
#include "stdio.h"
#include "std.h"
#include "sio.h"
#include "iom.h"
#include "mem.h"
#include "log.h"
#include "ti/pspiom/platforms/evmOMAPL138/audio/Audio.h"
#include "ti/pspiom/mcasp/Mcasp.h"
#include "ti/sdo/edma3/drv/edma3_drv.h"

#include <ti/pspiom/platforms/codec/Aic31.h>
#include <ti/pspiom/platforms/codec/ICodec.h>

#include "math.h"
 
typedef union
{
  Uint32 uint;
  short channel[2];
} AIC31_data_type;

#define LEFT  1
#define RIGHT 0

#define NOISELEVEL 8000
Int16 prand();
int prbs();
void L138_AIC3106_writeReg(SIO_Handle ioStream, Uint32 reg_addr, Uint32 reg_data);
void gen_w_r2(float* w, int n);
void bit_rev(float* x, int n);
